set CWD_WITHOUT_SLASH=%~dp0
set CWD_WITHOUT_SLASH=%CWD_WITHOUT_SLASH:~0,-1%

set PROC_COMMAND="%~dp0lib\procrun\prunsrv.exe"
if DEFINED PROGRAMFILES(x86) (
 	set PROC_COMMAND="%~dp0lib\procrun\amd64\prunsrv.exe"
)

%PROC_COMMAND% //DS//LedBoardController

set LOG_DIR=%CWD_WITHOUT_SLASH%\logs

%PROC_COMMAND% //IS//LedBoardController --Description "LED Board Controller Service" ^
    --DisplayName LedBoardController --Install %PROC_COMMAND% --Startup auto ^
    --Classpath "%~dp0lib\*" --Jvm auto --StartMode jvm ^
    --StartClass info.itline.bankservice.web.ApplicationKt --StartMethod main ++Environment="APP_HOME=%CWD_WITHOUT_SLASH%" ^
    --StopMode jvm --StopClass info.itline.bankservice.web.ApplicationKt --StopMethod stop --LogPath "%LOG_DIR%" ^
    --LogLevel Debug --StdError "%LOG_DIR%\startup.err.log" --StdOutput "%LOG_DIR%\startup.out.log"
